/* global variables for stim program */

#include "../modules/control.h"
#define VERSION "1.0"           // program version

/* Structure for menu system */
typedef struct {
  Widget f_menu;
  Widget l_setup;
  Widget s_setup;
  Widget quit;
  Widget about;
} f_menu;

typedef struct {
  Widget r_menu;
  Widget s_run;
  Widget e_run;
} r_menu;

typedef struct {
  f_menu file;
  r_menu run;
} main_menu;

typedef struct {
  Widget tb[8];
  Widget tf_p[8];
  Widget tf_tp[8];
  Widget tf_td[8];
  Widget tf_pp[8];
  Widget tf_pd[8];
} user_interface;

extern XtAppContext          app;
extern Widget                main_w, stim_label;
extern main_menu             mymenu;
extern int                   is_running; /* stimulator is on */
extern int                   fd;         /* communication channel FIFO to RT-TASK */
extern struct my_msg_struct  msg;        /* parameters for stimulation */
extern struct user_interface ui;         /* user interface */
